---
title: Document.currentScript
slug: Web/API/Document/currentScript
tags:
  - API
  - DOM
  - Document
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Document.currentScript</strong></code> property returns the {{HTMLElement("script")}} element whose script is currently being processed and <a href="https://github.com/whatwg/html/issues/997">isn't a JavaScript module</a>. (For modules use {{JSxRef("Statements/import%2Emeta", "import.meta")}} instead.)</p>

<p>It's important to note that this will not reference the {{HTMLElement("script")}} element if the code in the script is being called as a callback or event handler; it will only reference the element while it's initially being processed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>curScriptElement</var> = <var>document</var>.currentScript;
</pre>

<h2 id="Example">Example</h2>

<p>This example checks to see if the script is being executed asynchronously:</p>

<pre class="brush:js">if (document.currentScript.async) {
  console.log("Executing asynchronously");
} else {
  console.log("Executing synchronously");
}</pre>

<p><a href="/samples/html/currentScript.html">View Live Examples</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "dom.html#dom-document-currentscript", "Document.currentScript")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.currentScript")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{JSxRef("Statements/import%2Emeta", "import.meta")}}</li>
 <li>{{HTMLElement("script")}}</li>
 <li>{{DOMxRef("document.onafterscriptexecute")}}</li>
 <li>{{DOMxRef("document.onbeforescriptexecute")}}</li>
</ul>
